Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class FileNotFoundStrings

    java.lang.Object
      com.enterprisedt.net.ftp.ServerStrings
          com.enterprisedt.net.ftp.FileNotFoundStrings

    public final class FileNotFoundStrings

extends ServerStrings

Contains fragments of server replies that indicate no files were found in a supplied directory.

Version:
  $Revision: 1.4 $
Author:
  Bruce Blackshaw

Field Summary
`static java.lang.String` | `CANNOT_FIND` Server string indicating file not found
`static java.lang.String` | `CANNOT_FIND_THE_FILE` Server string indicating file not found
`static java.lang.String` | `COULD_NOT_GET_FILE` Server string indicating file not found
`static java.lang.String` | `DOES_NOT_EXIST` Server string indicating file not found
`static java.lang.String` | `FAILED_TO_OPEN_FILE` Server string indicating file not found
`static java.lang.String` | `FILE_NOT_FOUND` Server string indicating file not found
`static java.lang.String` | `NO_SUCH_FILE` Server string indicating file not found
`static java.lang.String` | `NOT_REGULAR_FILE` Server string indicating file not found

Constructor Summary
`FileNotFoundStrings()` Constructor.

Method Summary

Methods inherited from class com.enterprisedt.net.ftp.ServerStrings
`add, clearAll, getAll, matches, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NOT_FOUND

    public static final java.lang.String FILE_NOT_FOUND

  Server string indicating file not found

  See Also:
    Constant Field Values

### NO_SUCH_FILE

    public static final java.lang.String NO_SUCH_FILE

  Server string indicating file not found

  See Also:
    Constant Field Values

### CANNOT_FIND_THE_FILE

    public static final java.lang.String CANNOT_FIND_THE_FILE

  Server string indicating file not found

  See Also:
    Constant Field Values

### CANNOT_FIND

    public static final java.lang.String CANNOT_FIND

  Server string indicating file not found

  See Also:
    Constant Field Values

### FAILED_TO_OPEN_FILE

    public static final java.lang.String FAILED_TO_OPEN_FILE

  Server string indicating file not found

  See Also:
    Constant Field Values

### COULD_NOT_GET_FILE

    public static final java.lang.String COULD_NOT_GET_FILE

  Server string indicating file not found

  See Also:
    Constant Field Values

### DOES_NOT_EXIST

    public static final java.lang.String DOES_NOT_EXIST

  Server string indicating file not found

  See Also:
    Constant Field Values

### NOT_REGULAR_FILE

    public static final java.lang.String NOT_REGULAR_FILE

  Server string indicating file not found

  See Also:
    Constant Field Values

Constructor Detail

### FileNotFoundStrings

    public FileNotFoundStrings()

  Constructor. Adds the fragments to match on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.